# PSF-LoginServer - master - net.psforever.objects.TurretControl
PSF - LoginServer - master - net.psforever.objects.TurretControl
Keywords: PSF LoginServer master net.psforever.objects.TurretControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# TurretControl

###

#### class TurretControl extends Actor with DeployableBehavior with Check with JammableMountedWeapons with MountableBehavior with DamageableWeaponTurret with RepairableWeaponTurret

control actors

Source
  TurretDeployable.scala

Linear Supertypes
RepairableWeaponTurret, RepairableEntity, Repairable, DamageableWeaponTurret, AggravatedBehavior, DamageableEntity, Damageable, MountableBehavior, JammableMountedWeapons, JammableBehavior, Check, BasicAffinity, DeployableBehavior, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretControl
2. RepairableWeaponTurret
3. RepairableEntity
4. Repairable
5. DamageableWeaponTurret
6. AggravatedBehavior
7. DamageableEntity
8. Damageable
9. MountableBehavior
10. JammableMountedWeapons
11. JammableBehavior
12. Check
13. BasicAffinity
14. DeployableBehavior
15. Actor
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TurretControl(turret: TurretDeployable)

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AggravatedObject: Target with WeaponTurret
   Definition Classes
     DamageableWeaponTurret → AggravatedBehavior
5.  def AggravatedReaction: Boolean
   Definition Classes
     AggravatedBehavior
6.  def AggravationCleanup(id: Long): Unit
   Definition Classes
     AggravatedBehavior
7.  def CanBeRepairedByNanoDispenser(player: Player, item: Tool): Unit

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user.

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user. If the checks pass, perform the repair.

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   Definition Classes
     RepairableEntity → Repairable
8.  def CanPerformRepairs(target: Target, player: Player, item: Tool): Boolean

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted.

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted. It is not necessary to check that the tool and its ammunition are correct types; that test was already performed.
   The target entity must be repairable and have less than full health and, if it is destroyed, must have an object attribute that permits it to be repaired after being destroyed.
   The user must have the same faction affinity as the target entity or be neutral.
   The equipment must have some ammunition.
   The user must be alive and be within a certain distance of the target entity.

   target

     the entity being repaired

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   returns

     `true`, if the target entity can be repaired; `false`, otherwise

   Attributes
     protected
   Definition Classes
     RepairableEntity
   See also

     `org.log4s.getLogger`

     `PlanetSideEmpire`

     `Vector3.Distance`

     `VitalityDefinition`

9.  def CancelJammeredSound(target: Any): Unit

   Deactivate a distinctive buzzing sound effect.

   Deactivate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

   target

     an object that can be affected by the jammered status

   Definition Classes
     JammableMountedWeapons → JammableBehavior
10.  def CancelJammeredStatus(target: Any): Unit

    Deactivate the effects of the jammered status.

    Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

    target

      an object that can be affected by the jammered status

    Definition Classes
      JammableMountedWeapons → JammableBehavior
11.  def CleanupAggravationTimer(id: Long): Unit
    Definition Classes
      AggravatedBehavior
12.  def DamageAwareness(target: Target, cause: DamageResult, amount: Any): Unit

    What happens when damage is sustained but the target does not get destroyed.

    What happens when damage is sustained but the target does not get destroyed.

    target

      the entity being damaged

    cause

      historical information about the damage

    amount

      the amount of damage

    Attributes
      protected
    Definition Classes
      DamageableWeaponTurret → DamageableEntity
13.  def DamageLog(target: Target, msg: String): Unit

    Log a damage message with a decorator for this target.

    Log a damage message with a decorator for this target. The decorator is constructed by the `Actor` name of the entity, sliced after the last forward/slash. For example, for "foo/bar/name", the decorator is just "name".

    target

      the entity to be used for the decorator

    msg

      the message for the damage log

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `PlanetSideServerObject`

14.  def DamageLog(msg: String): Unit

    Log a damage message.

    Log a damage message.

    msg

      the message for the damage log

    Attributes
      protected
    Definition Classes
      DamageableEntity
15.  def DamageableObject: TurretDeployable

    Contextual access to the object being the target of this damage.

    Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

    returns

      the entity controlled by this actor

    Definition Classes
      TurretControl → DamageableWeaponTurret → Damageable
16.  def DeployableObject: TurretDeployable
    Definition Classes
      TurretControl → DeployableBehavior
17.  def DestructionAwareness(target: Target, cause: DamageResult): Unit

    What happens when the target sustains too much damage and is destroyed.

    What happens when the target sustains too much damage and is destroyed.

    target

      the entity being destroyed

    cause

      historical information about the damage

    Attributes
      protected
    Definition Classes
      TurretControl → DamageableWeaponTurret → DamageableEntity
    See also

      `Damageable.DestructionAwareness`

18.  def EndAllAggravation(): Unit
    Definition Classes
      AggravatedBehavior
19.  def FactionObject: TurretDeployable
    Definition Classes
      TurretControl → BasicAffinity
20.  def HandleDamage(target: Target, cause: DamageResult, damage: Any): Unit

    Select between mere damage reception or target destruction.

    Select between mere damage reception or target destruction.

    target

      the entity being damaged

    cause

      historical information about the damage

    damage

      the amount of damage

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `VitalDefinition.DamageDestroysAt`

21.  def JammableObject: TurretDeployable

    `ZoneAware` is used for callback to the event systems

    `ZoneAware` is used for callback to the event systems

    Definition Classes
      TurretControl → JammableBehavior
22.  def MountableObject: TurretDeployable
    Definition Classes
      TurretControl → MountableBehavior
23.  def PerformDamage(target: Target, applyDamageTo: Output): Unit

    Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed.

    Assess the vital statistics of the target, apply the damage, and determine if any of those statistics changed. By default, only take an interest in the change of "health". If implementing custom `DamageableAmenity` with no new message handling, choose to override this method.

    target

      the entity to be damaged

    applyDamageTo

      the function that applies the damage to the target in a target-tailored fashion

    Attributes
      protected
    Definition Classes
      DamageableEntity → Damageable
    See also

      `DamageableAmenity.TakesDamage`

      `ResolutionCalculations.Output`

      `Vitality.Health`

24.  def PerformRepairs(target: Target, amount: Int): Int
    Attributes
      protected
    Definition Classes
      RepairableEntity
25.  def PerformRepairs(target: Target, player: Player, item: Tool): Unit

    Calculate the health points change and enact that repair action if the targets are stationary.

    Calculate the health points change and enact that repair action if the targets are stationary. Restore the target entity to a not destroyed state if applicable. Always show the repair progress bar window by using the appropriate packet.

    target

      the entity being repaired

    player

      the user of the nano dispenser tool

    item

      the nano dispenser tool

    Attributes
      protected
    Definition Classes
      RepairableEntity
    See also

      `AvatarAction.PlanetsideAttributeToAll`

      `AvatarAction.SendResponse`

      `AvatarService`

      `InventoryStateMessage`

      `PlanetSideGameObject.isMoving`

      `RepairMessage`

      `Service.defaultPlayerGUID`

      `Tool.Discharge`

      `Zone.AvatarEvents`

26.  def RemoveAggravatedEntry(id: Long): Aura
    Definition Classes
      AggravatedBehavior
27.  def RepairToolValue(item: Tool): Float

    The amount of repair that any specific tool provides.

    The amount of repair that any specific tool provides.

    item

      the tool in question

    returns

      an amount to add to the repair attempt progress

    Definition Classes
      Repairable
    See also

      `Repairable.Quality`

28.  def RepairableObject: TurretDeployable

    Contextual access to the object being the target of this damage.

    Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

    returns

      the entity controlled by this actor

    Definition Classes
      TurretControl → RepairableWeaponTurret → Repairable
29.  def Restoration(target: Target): Unit

    The entity is no longer destroyed.

    The entity is no longer destroyed.

    Definition Classes
      RepairableWeaponTurret → Repairable
30.  def StartJammeredSound(target: Any, dur: Int): Unit

    Activate a distinctive buzzing sound effect.

    Activate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely start the timer.

    target

      an object that can be affected by the jammered status

    dur

      the duration of the timer, in milliseconds; by default, 30000

    Definition Classes
      JammableMountedWeapons → JammableBehavior
31.  def StartJammeredStatus(target: Any, dur: Int): Unit

    Deactivate the effects of the jammered status.

    Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

    target

      an object that can be affected by the jammered status

    dur

      the duration of the timer, in milliseconds

    Definition Classes
      JammableMountedWeapons → JammableBehavior
32.  def TryAggravationEffectActivate(data: DamageResult): Option[AggravatedDamage]
    Definition Classes
      AggravatedBehavior
33.  def TryJammerEffectActivate(target: Any, cause: DamageResult): Unit

    If the target can be validated against, affect it with the jammered status.

    If the target can be validated against, affect it with the jammered status.

    target

      the objects to be determined if affected by the source's jammering

    cause

      the source of the "jammered" status

    Definition Classes
      JammableBehavior
34.  def WillAffectTarget(target: Target, damage: Int, cause: DamageResult): Boolean

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable.

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable. Contrast with `Vitality.CanDamage`. The damage value tested against should be the total value of all meaningful vital statistics affected.

    target

      the entity to be damaged

    damage

      the amount of damage

    cause

      historical information about the damage

    returns

      `true`, if damage resolution is to be evaluated; `false`, otherwise

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `Damageable.CanDamageOrJammer`

      `PerformDamage`

35.  val aggravatedBehavior: Receive
    Definition Classes
      AggravatedBehavior
36.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
37.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
38.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
39.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
40.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
41.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
42.  final val canBeRepairedByNanoDispenser: akka.actor.Actor.Receive

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    Definition Classes
      Repairable
    See also

      `Ammo`

      `CanBeRepairedByNanoDispenser`

      `CommonMessages.Use`

      `GlobalDefinitions`

      `Tool.AmmoType`

43.  val checkBehavior: Receive
    Definition Classes
      Check
44.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
45.  implicit val context: ActorContext
    Definition Classes
      Actor
46.  def damageableWeaponTurretPostStop(): Unit
    Definition Classes
      DamageableWeaponTurret
47.  val decay: Cancellable

    the timer for the deconstruction process

    the timer for the deconstruction process

    Definition Classes
      DeployableBehavior
48.  def deconstructDeployable(time: Option[FiniteDuration]): Unit

    The first stage of the deployable dismissal process, to put the formal process in motion.

    The first stage of the deployable dismissal process, to put the formal process in motion.

    time

      an optional duration that overrides the deployable's usual duration

    Definition Classes
      TurretControl → DeployableBehavior
49.  val deletionType: Int

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    a value that is utilized by the `ObjectDeleteMessage` packet, affecting animation

    Definition Classes
      DeployableBehavior
50.  val deployableBehavior: Receive
    Definition Classes
      DeployableBehavior
51.  def deployableBehaviorPostStop(): Unit
    Definition Classes
      DeployableBehavior
52.  def dismissDeployable(): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. Queue up final deployable unregistering, separate from the zone's deployable governance, and instruct all clients in this zone that the deployable is to be deconstructed.

    Definition Classes
      DeployableBehavior
53.  val dismountBehavior: Receive

    The logic governing `Mountable` objects that use the `TryDismount` message.

    The logic governing `Mountable` objects that use the `TryDismount` message. This is a mix-in trait for combining with existing `Receive` logic.

    Definition Classes
      MountableBehavior
    See also

      `Seat`

      `Mountable`

54.  def dismountTest(obj: Mountable with WorldEntity, seatNumber: Int, user: Player): Boolean
    Attributes
      protected
    Definition Classes
      MountableBehavior
55.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
56.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
57.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
58.  def finalizeDeployable(callback: ActorRef): Unit

    The second stage of the deployable build process, to complete the formal process.

    The second stage of the deployable build process, to complete the formal process. If no owner is assigned, the deployable must immediately begin suffering decay. Nothing dangerous happens if it does not begin to decay, but, because it is not under a player's management, the deployable will not properly transition to a decay state for another reason and can linger in the zone ownerless for as long as it is not destroyed.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      DeployableBehavior
    See also

      `AvatarAction.DeployItem`

      `DeploymentAction`

      `DeployableInfo`

      `LocalAction.DeployableMapIcon`

      `Zone.Deployable.IsBuilt`

59.  def gainOwnership(player: Player, toFaction: types.PlanetSideEmpire.Value): Unit

    na

    na

    player

      the player being given ownership of this deployable

    toFaction

      the faction to which the deployable is being assigned; usually matches the `player`'s own faction

    Definition Classes
      DeployableBehavior
60.  def gainOwnership(player: Player): Unit

    na

    na

    player

      the player being given ownership of this deployable

    Definition Classes
      DeployableBehavior
    See also

      `gainOwnership(Player, PlanetSideEmpire.Value)`

61.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
62.  def getUsedMountPoint(playerName: String, seatNumber: Int): Int
    Definition Classes
      MountableBehavior
63.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
64.  def isConstructed: Option[Boolean]
    Definition Classes
      DeployableBehavior
65.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
66.  val jammableBehavior: Receive
    Definition Classes
      JammableBehavior
67.  val jammedSound: Boolean

    flag for jammed sound

    flag for jammed sound

    Attributes
      protected
    Definition Classes
      JammableBehavior
68.  val jammeredSoundTimer: Cancellable

    the sound timer

    the sound timer

    Attributes
      protected
    Definition Classes
      JammableBehavior
69.  val jammeredStatusTimer: Cancellable

    the effect timer

    the effect timer

    Attributes
      protected
    Definition Classes
      JammableBehavior
70.  def loseOwnership(toFaction: types.PlanetSideEmpire.Value): Unit

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction.

    Losing ownership involves updating map screen UI, to remove management rights from the now-previous owner, and may involve concealing the deployable from the map screen for the entirety of the previous owner's faction. Displaying the deployable on the map screen of another faction may be required.

    toFaction

      the faction to which to set the deployable to be visualized on the map and in the game world; may also affect deployable operation

    Definition Classes
      DeployableBehavior
71.  val mountBehavior: Receive

    The logic governing `Mountable` objects that use the `TryMount` message.

    The logic governing `Mountable` objects that use the `TryMount` message. This is a mix-in trait for combining with existing `Receive` logic.

    Definition Classes
      MountableBehavior
    See also

      `Seat`

      `Mountable`

72.  def mountTest(obj: PlanetSideServerObject with Mountable, seatNumber: Int, player: Player): Boolean
    Attributes
      protected
    Definition Classes
      TurretControl → MountableBehavior
73.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
74.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
75.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
76.  final val originalTakesDamage: akka.actor.Actor.Receive

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    a duplicate of the core implementation for the default mixin hook, for use in overriding

    Definition Classes
      Damageable
77.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
78.  def postStop(): Unit
    Definition Classes
      TurretControl → Actor
79.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
80.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
81.  def receive: Receive
    Definition Classes
      TurretControl → Actor
82.  implicit final val self: ActorRef
    Definition Classes
      Actor
83.  final def sender(): ActorRef
    Definition Classes
      Actor
84.  val setup: Cancellable

    the timer for the construction process

    the timer for the construction process

    Definition Classes
      DeployableBehavior
85.  def setupDeployable(callback: ActorRef): Unit

    The first stage of the deployable build process, to put the formal process in motion.

    The first stage of the deployable build process, to put the formal process in motion. Deployables, upon construction, may display an animation effect. Parameters are required to be passed onto the next stage of the build process and are not used here.

    callback

      an `ActorRef` used for confirming the deployable's completion of the process

    Definition Classes
      DeployableBehavior
    See also

      `DeployableDefinition.deployAnimation`

      `DeployableDefinition.DeployTime`

      `LocalAction.TriggerEffectLocation`

86.  def startOwnerlessDecay(): Unit
    Definition Classes
      DeployableBehavior
87.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
88.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
89.  val takesDamage: Receive

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

    Definition Classes
      DamageableWeaponTurret → Damageable
90.  def toString(): String
    Definition Classes
      AnyRef → Any
91.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
92.  def unregisterDeployable(obj: Deployable): Unit

    The task for unregistering this deployable.

    The task for unregistering this deployable. Most deployables are monolithic entities, requiring only a single unique identifier.

    obj

      the deployable

    Definition Classes
      TurretControl → DeployableBehavior
93.  val usedMountPoint: HashMap[String, Int]

    retain the mount point that was used by this occupant to mount

    retain the mount point that was used by this occupant to mount

    Definition Classes
      MountableBehavior
94.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
95.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
96.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from RepairableWeaponTurret

### Inherited from RepairableEntity

### Inherited from Repairable

### Inherited from DamageableWeaponTurret

### Inherited from AggravatedBehavior

### Inherited from DamageableEntity

### Inherited from Damageable

### Inherited from MountableBehavior

### Inherited from JammableMountedWeapons

### Inherited from JammableBehavior

### Inherited from Check

### Inherited from BasicAffinity

### Inherited from DeployableBehavior

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped